Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class AttributeSerializationContextImpl

    java.lang.Object
      |
      +--org.apache.axis.encoding.SerializationContextImpl
            |
            +--org.apache.axis.encoding.AttributeSerializationContextImpl

All Implemented Interfaces:
  SerializationContext, SerializationContext

public class AttributeSerializationContextImpl
extends SerializationContextImpl

Used to suppress element tag serialization when serializing simple types into attributes.

Author:
  Thomas Sandholm (sandholm@mcs.anl.gov)

Field Summary

Fields inherited from class org.apache.axis.encoding.SerializationContextImpl
`log`

Constructor Summary
`AttributeSerializationContextImpl(java.io.Writer writer, SerializationContext parent)`

Method Summary
`void` | `endElement()` Writes the end element tag for the open element.
`java.lang.String` | `qName2String(QName qname)` Convert QName to a string of the form :
`void` | `startElement(QName qName, org.xml.sax.Attributes attributes)` Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

Methods inherited from class org.apache.axis.encoding.SerializationContextImpl
`attributeQName2String, getCurrentMessage, getCurrentXMLType, getDoMultiRefs, getMessageContext, getPrefixForURI, getPrefixForURI, getPrefixForURI, getPretty, getQNameForClass, getSerializerForJavaType, getTypeMapping, getTypeMappingRegistry, getValueAsString, isPrimitive, outputMultiRefs, qName2String, registerPrefixForURI, serialize, serialize, setDoMultiRefs, setPretty, setSendDecl, setTypeAttribute, shouldSendXSIType, writeChars, writeDOMElement, writeSafeString, writeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSerializationContextImpl

    public AttributeSerializationContextImpl(java.io.Writer writer,
                                             SerializationContext parent)

Method Detail

### startElement

    public void startElement(QName qName,
                             org.xml.sax.Attributes attributes)
                      throws java.io.IOException

  Description copied from class: `SerializationContextImpl`
  Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

  Specified by:
    `startElement` in interface `SerializationContext`
  Overrides:
    `startElement` in class `SerializationContextImpl`
  Parameters:
    `qName` - is the name of the element
    `attributes` - are the attributes to write
    `java.io.IOException`

### endElement

    public void endElement()
                    throws java.io.IOException

  Description copied from class: `SerializationContextImpl`
  Writes the end element tag for the open element.

  Specified by:
    `endElement` in interface `SerializationContext`
  Overrides:
    `endElement` in class `SerializationContextImpl`
    `java.io.IOException`

### qName2String

    public java.lang.String qName2String(QName qname)

  Description copied from interface: `SerializationContext`
  Convert QName to a string of the form :

  Specified by:
    `qName2String` in interface `SerializationContext`
  Overrides:
    `qName2String` in class `SerializationContextImpl`
  Parameters:
    `qname` -
  Returns:
    prefixed qname representation for serialization.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.